<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">

  <div class="container flex justify-between">
    <div class="flex items-center cursor-pointer" (click)="backButton()">
      <mat-icon class="mt-6 mb-6 " style="color: #0038FF;">keyboard_arrow_left</mat-icon><span
        class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span>
    </div>
    <div>
      <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
    </div>
  </div>

  <div class="font-Semibold-40 font-141461 mt-7 mb-7" style="text-align:center !important;">
    <div>Redeem Bursa Gold Dinar</div>
  </div>

  <div class="flex flex-col items-center  sm:justify-center min-w-0 mb-6">
    <div class="w-full sm:w-auto bg-card box-width" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
    ">

      <div class="font-Semibold-18 leading-6 flex sm:mt-16 sm:px-20"><svg xmlns="https://www.w3.org/2000/svg"
          fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 mr-2.5 text-red-600	">
          <path stroke-linecap="round" stroke-linejoin="round" d="M15 10.5a3 3 0 11-6 0 3 3 0 016 0z" />
          <path stroke-linecap="round" stroke-linejoin="round"
            d="M19.5 10.5c0 7.142-7.5 11.25-7.5 11.25S4.5 17.642 4.5 10.5a7.5 7.5 0 1115 0z" />
        </svg>
        Delivery Information
      </div>

      <div class="max-w-100  sm:mt-5 sm:p-8 sm:ml-28 sm:mr-20 card-padding" style="background-color: #F7F7F7;">
        <div class="flex justify-between items-center">
          <span class="font-Regular-14 font-7B7B7B">Name</span>
          <svg xmlns="https://www.w3.org/2000/svg" (click)="editDetail()" fill="none" viewBox="0 0 24 24"
            stroke-width="1.5" stroke="currentColor" class="cursor-pointer	 w-5 h-5">
            <path stroke-linecap="round" stroke-linejoin="round"
              d="M16.862 4.487l1.687-1.688a1.875 1.875 0 112.652 2.652L10.582 16.07a4.5 4.5 0 01-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 011.13-1.897l8.932-8.931zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0115.75 21H5.25A2.25 2.25 0 013 18.75V8.25A2.25 2.25 0 015.25 6H10" />
          </svg>
        </div>
        <div class="font-Regular-14 font-333" placeholder="Enter your name">{{fullName}}</div>
        <div class="font-Regular-14 font-7B7B7B mt-2.5">Phone Number</div>
        <div class="font-Regular-14 font-333" placeholder="Enter your phone number">{{phone}}</div>
        <div class="font-Regular-14 font-7B7B7B mt-2.5">Address Line 1</div>
        <div class="font-Regular-14 font-333" placeholder="Enter your address line 1">{{address1}}</div>
        <div class="font-Regular-14 font-7B7B7B mt-2.5">Address Line 2</div>
        <div class="font-Regular-14 font-333" placeholder="Enter your address line 2">{{address2}}</div>
        <div class="font-Regular-14 font-7B7B7B mt-2.5">Postcode</div>
        <div class="font-Regular-14 font-333" placeholder="Enter your postcode">{{postcode}}</div>
        <div class="font-Regular-14 font-7B7B7B mt-2.5">City</div>
        <div class="font-Regular-14 font-333" placeholder="Enter your city">{{town}}</div>
        <div class="font-Regular-14 font-7B7B7B mt-2.5">State</div>
        <div class="font-Regular-14 font-333" placeholder="Enter your state">{{state}}</div>
      </div>
      <!-- Alert -->
      <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
        class="justify-center">
        {{alert.message}}
      </fuse-alert>
      <div class="flex-auto my-7 border-t-20 w-full text-center py-2"
        style="border: 8px #F3F6FD; background-color: #F3F6FD; color: white;"></div>


      <div class="font-Semibold-18 leading-none sm:px-20">Redeem Information</div>
      <mat-form-field class="w-full mt-4 sm:px-20" [formGroup]="bgdRedeemForm" #bgdRedeemNgForm="ngForm"
        appearance="outline">
        <mat-label>Reason for Redeeming</mat-label>
        <mat-select matInput [formControlName]="'redeemReason'" required>
          <mat-option *ngFor="let item of dropdownData" [value]="item.name">{{ item.name }}</mat-option>
        </mat-select>
      </mat-form-field>

      <div class="border-t sm:mx-20 mt-7"></div>


      <div class="mt-7 sm:px-20">
        <div class="font-Regular-16 font-9C9C9C">Coins to Redeem</div>
        <div class="font-Semibold-16 font-333 mt-1">{{unit}}</div>
      </div>
      <div class="mt-4 sm:px-20">
        <div class="font-Regular-16 font-9C9C9C mt-5">Courier Fee</div>
        <div class="font-Semibold-16 font-333 mt-1">RM{{ courierCharge | number:'1.2-2' }}</div>
      </div>
      <div class="mt-4 sm:px-20">
        <div class="font-Regular-16 font-9C9C9C mt-5">Minting Fee</div>
        <div class="font-Semibold-16 font-333 mt-1">RM{{ mintingCharge | number:'1.2-2' }}</div>
      </div>
      <div class="mt-4 sm:px-20">
        <div class="font-Regular-16 font-9C9C9C mt-5">Takaful Fee</div>
        <div class="font-Semibold-16 font-333 mt-1">RM{{ takafulCharge | number:'1.2-2' }}</div>
      </div>
      <div class="mt-4 sm:px-20">
        <div class="font-Regular-16 font-9C9C9C mt-5">SST {{ SSTsetupFees }}%</div>
        <div class="font-Semibold-16 font-333 mt-1">RM{{ totalAmountSST | number:'1.2-2' }}</div>
      </div>

      <div class="border-t sm:mx-20 my-7"></div>

      <div class="sm:px-20">
        <div class="font-Regular-16 font-9C9C9C">Total Payable Amount</div>
        <div class="font-Semibold-16 font-333 mt-1">RM{{totalAmount | number:'1.2-2' }}</div>
        <div class="text-center">
          <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" [@shake]="alert.type === 'error'"
            class="justify-center">
            {{alert.message}}
          </fuse-alert>
          <button mat-flat-button (click)="redeemContinue()"
            [disabled]="bgdRedeemForm.get('redeemReason').invalid || disableButton"
            class="button inline-flex items-center justify-center w-full my-7 button-r5"
            color="primary">Continue</button>
        </div>
      </div>
    </div>
  </div>